Bug 430967 - Dismiss clipboard manager on enter
Summary: Dismiss clipboard manager on enter
Status: RESOLVED FIXED
Alias: None
Product: klipper
Classification: Applications
Component: plasma-widget (show other bugs)
Version: 5.20.4
Platform: Fedora RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2020-12-30 03:38 UTC by Sudhir Khanger
Modified: 2021-01-04 23:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.21


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sudhir Khanger 2020-12-30 03:38:50 UTC
SUMMARY

Clipboard manager should be more keyboard friendly. If I select an entry and press enter then that text should be copied and the clipboard manager should be dismissed. This behaviour would be exactly same as would with mouse click. If I click on an entry with mouse then the entry is selected and the clipboard manager is dismissed. Same should happen when one presses enter


STEPS TO REPRODUCE
1. select an entry in clipboard manager
2. press enter
3. 

OBSERVED RESULT

clipboard manager is not dismissed


EXPECTED RESULT

clipboard manager should be dismissed on enter key press


SOFTWARE/OS VERSIONS
Operating System: Fedora 33
KDE Plasma Version: 5.20.4
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.2
Kernel Version: 5.9.16-200.fc33.x86_64
OS Type: 64-bit
Processors: 8 × Intel® Core™ i7-6820HQ CPU @ 2.70GHz
Memory: 15.5 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 530

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2021-01-04 23:34:31 UTC
Yeah, I agree.
Comment 2 Nate Graham 2021-01-04 23:52:31 UTC
Git commit 02bd190ca685e495c09b8e9187a8b16148198f35 by Nate Graham.
Committed on 04/01/2021 at 23:48.
Pushed by ngraham into branch 'master'.

[applets/clipboard] Deactivate on selection using keyboard

Just like selection using the mouse.
FIXED-IN: 5.21

M  +3    -0    applets/clipboard/contents/ui/ClipboardPage.qml

https://invent.kde.org/plasma/plasma-workspace/commit/02bd190ca685e495c09b8e9187a8b16148198f35